Description

Thanks very much for Beem :) It's very good.
Feature request:

Various improvements for soft keyboard users (Xperia X10 here). Specifically,

1. Auto-capitalization; auto-capitalization of words (looks like this can be done in res/layout/chat.xml, adding

android:capitalize="sentences" to the EditText entry. At least this is what

http://developer.android.com/reference/android/R.styleable.html#EditText implies. I'm not very familiar with Android yet though.)
2. There's some way to make the 'Enter' soft-key used for things like smileys instead. | use SmartKeybaord, and | like this. | can
easily put in my most-used smiley (:) and then click the on-screen "Send" button (which already exists). I'm not sure how it's
accomplished though. Maybe 'imeOptions="actionSend" or another imeOption? Maybe setting the
AutoCompleteTextView_inputType to textShortMessage? My bet would be the latter, at least of those two.

Thanks again :)

Dave

Associated revisions

Revision 886:64f37098247c¢ - 04/24/2011 02:02 AM - Frédéric Barthéléry

various soft keyboard improvements.
fix #268

Revision 908:64137098247c - 04/24/2011 02:02 AM - Frédéric Barthéléry
various soft keyboard improvements.

fix #268

History

#1 - 05/22/2010 01:36 AM - David Harris

Sorry, looks like the smiley portion of this request was already covered in Bug #66.
Thanks again,

Dave

#2 - 07/22/2010 10:58 AM - Frédéric Barthéléry

- Target version set to 0.1.5

#3 - 11/03/2010 06:54 PM - Frédéric Barthéléry

- Tracker changed from Bug to Feature

#4 - 01/03/2011 06:45 PM - Frédéric Barthéléry
- Status changed from New to Resolved

- % Done changed from 0 to 100

There is nothing more we can do on this. The rest depends on the InputMethod you use.
http://developer.android.com/reference/android/R.styleable.html#EditText
http://dev.elyzion.net/issues/66

#5 - 01/15/2011 07:46 PM - Frédéric Barthéléry

- Status changed from Resolved to Closed

#6 - 02/01/2011 05:15 AM - David Harris
- File Chat.java.diff added

Hey, so | took a look into this myself and fixed it. Since you guys are over-riding the default KeyListener (in Chat.java in src/com/beem/project/ui/ ),
android:capitalize in the resource xml (chat.xml, chat_compact.xml) won't work.

Instead, you have to add "|textCapSentences" to the <EditText ... android:inputType attribute. In, | suppose, both chat.xml and chat_compact.xml (my
phone only and emulator only seem to use chat.xml?). Tested in phone and emulator, works fine.

| also tried to get the soft keyboard to appear automatically. This works on my phone, but | don't have a phone with a hardware keyboard to test this
on (clearly if the hard keyboard is open you don't want it to pop up the soft keyboard), so please take this one with a grain of salt. It's also the only
Android code I've touched (and probably the most Java I've done in the past year). I've attached a diff.

Thanks,

Dave

#7 - 02/01/2011 05:17 AM - David Harris

P.S.: I'm also not sure if anybody will see the addition to this issue report; if a Beem developer does, can they respond? Otherwise I'll probably try
posting to the forum or opening another issue, thinking that this one is dead.

Thanks again,

Dave

#8 - 02/01/2011 09:47 AM - Frédéric Barthéléry
- Status changed from Closed to Assigned

- Assignee set to Frédéric Barthéléry

- Target version changed from 0.1.5t0 0.1.6
David Harris wrote:

Hey, so | took a look into this myself and fixed it. Since you guys are over-riding the default KeyListener (in Chat.java in src/com/beem/project/ui/
), android:capitalize in the resource xml (chat.xml, chat_compact.xml) won't work.

Instead, you have to add "|textCapSentences" to the <EditText ... android:inputType attribute. In, | suppose, both chat.xml and chat_compact.xml
(my phone only and emulator only seem to use chat.xml?). Tested in phone and emulator, works fine.

Thanks David, | will try this two method in the evening.
| also tried to get the soft keyboard to appear automatically. This works on my phone, but | don't have a phone with a hardware keyboard to test

this on (clearly if the hard keyboard is open you don't want it to pop up the soft keyboard), so please take this one with a grain of salt. It's also the
only Android code I've touched (and probably the most Java I've done in the past year). I've attached a diff.

| think most people don't want the soft keyboard to appear automatically because the screen is small and big part of the conversation will be hidden
specially in landscape orientation.

#9 - 02/04/2011 06:45 PM - David Harris

Thanks for the quick response Frédéric. | hope the patch works for you - it worked on a few different emulators/phones for me.

As for showing the soft keyboard, | know my preference would be for it to be displayed. But | quite agree that that's not universal and some people
would hate it. | wouldn't actually suggest it be done without including an option to control the behaviour, but unfortunately that's beyond my ability at
the moment.

Thanks again,

Dave

#10 - 04/24/2011 02:11 AM - Frédéric Barthéléry

- Status changed from Assigned to Resolved

Applied in changeset 64{37098247c.
#11 - 05/06/2011 02:19 PM - Frédéric Barthéléry

- Status changed from Resolved to Closed

Files

Chat.java.diff 1.35 KB 02/01/2011 David Harris
